Subject: [alpine-aports] [PATCH] testing/neko: new aport

From: Jon Ong <[email-masked]>
Date: Sun, 26 Jun 2016 18:37:34 +0800

http://nekovm.org/
High-level dynamically typed programming language
---
 testing/neko/APKBUILD                | 39 ++++++++++++++++++++++++++++++++++++
 testing/neko/compilation-fixes.patch | 27 +++++++++++++++++++++++++
 2 files changed, 66 insertions(+)
 create mode 100644 testing/neko/APKBUILD
 create mode 100644 testing/neko/compilation-fixes.patch

diff --git a/testing/neko/APKBUILD b/testing/neko/APKBUILD
new file mode 100644
index 0000000..ee8d74c
--- /dev/null
+++ b/testing/neko/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Jon Ong <[email-masked]>
+# Maintainer:
+pkgname=neko
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="High-level dynamically typed programming language"
+url="http://nekovm.org/"
+arch="all"
+license="LGPL"
+depends="apache2 gc gtk+2.0 mariadb mbedtls sqlite"
+makedepends="apache2-dev cmake gc-dev gtk+2.0-dev linux-headers mariadb-dev mbedtls-dev ninja sqlite-dev"
+options="!strip"
+install=""
+subpackages=""
+source="https://github.com/HaxeFoundation/neko/archive/v${pkgver//./-}.tar.gz
+	compilation-fixes.patch
+	"
+
+builddir="$srcdir/$pkgname-${pkgver//./-}"
+build() {
+	cd "$builddir"
+
+	mkdir -p build || return 1
+	cd build || return 1
+
+	cmake "../" -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=lib -GNinja || return 1
+	ninja || return 1
+}
+
+package() {
+	cd "$builddir"
+	DESTDIR="$pkgdir" ninja -C build install || return 1
+}
+md5sums="142d511a9eb6f9a9649f109c09e9a7e6  v2-1-0.tar.gz
+1c8b5dc0979d1b36cf49c3c9895ac1a4  compilation-fixes.patch"
+sha256sums="330b3fc474b5ceb2bd0828bb57d08a8530aa56262cac3b7b19120e1d3cb1fbb9  v2-1-0.tar.gz
+d13fe905a0425d1ce0ec126aa3abc1940944572b92b72ec22d1e670623863949  compilation-fixes.patch"
+sha512sums="a3a4e1064cf3a73b07d39eba62b261b3e954a74d71f588e90904ebdab2f3fc9f75c37a0788de0a354df9fddff412076cc321b6b33d529e69acccf403889a01b0  v2-1-0.tar.gz
+8d2c7be3db571f1bd1efe75209941fb1c2feb133015950be70aa31a7d55e4f5918ddb84bde4bbcce514b876c93173d7d7157481e7ce9e96d98c4229e7695d9ee  compilation-fixes.patch"
diff --git a/testing/neko/compilation-fixes.patch b/testing/neko/compilation-fixes.patch
new file mode 100644
index 0000000..666c017
--- /dev/null
+++ b/testing/neko/compilation-fixes.patch
@@ -0,0 +1,27 @@
+diff --git a/libs/std/sys.c b/libs/std/sys.c
+index 8003d41..fc59b01 100644
+--- a/libs/std/sys.c
++++ b/libs/std/sys.c
+@@ -41,7 +41,6 @@
+ #	include <sys/time.h>
+ #	include <sys/times.h>
+ #	include <sys/wait.h>
+-#	include <xlocale.h>
+ #endif
+ 
+ #ifdef NEKO_MAC
+diff --git a/vm/module.c b/vm/module.c
+index 7f857af..34afa52 100644
+--- a/vm/module.c
++++ b/vm/module.c
+@@ -34,6 +34,10 @@ DEFINE_KIND(neko_kind_module);
+ #ifdef NEKO_BSD
+ #	include <sys/endian.h>
+ #endif
++#ifdef __GNUC__
++#	include <endian.h>
++#define BYTE_ORDER __BYTE_ORDER
++#endif
+ #ifndef LITTLE_ENDIAN
+ #	define LITTLE_ENDIAN 1
+ #endif
-- 
2.8.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---